/**
 * Reads the display name from a component
 * @param {React.Component} WrappedComponent - Component to analyse.
 * @returns {string} component display name
 */
export const getDisplayName = (WrappedComponent) =>
  WrappedComponent.displayName || WrappedComponent.name || 'Component';
