# Gutenberg code

This folder contains code migrated directly from WordPress.
These (excerpted) modules are loaded from the `@wordpress/blocks` package
which is owned by "The WordPress Contributors" and licensed under the GNU
General Public License, version 2.0.

* [children.js](https://github.com/WordPress/gutenberg/blob/master/packages/blocks/src/api/children.js)
* [children.test.js](https://github.com/WordPress/gutenberg/blob/master/packages/blocks/src/api/test/children.js)
* [node.js](https://github.com/WordPress/gutenberg/blob/master/packages/blocks/src/api/node.js)
* [node.test.js](https://github.com/WordPress/gutenberg/blob/master/packages/blocks/src/api/test/node.js)

We copy the code directly rather than depending on it as a separate library.
This is because `@wordpress/blocks` in turn depends on many libraries.
If we added it as a dependency we'd end up with an entire extra copy of React
(among other things) in app builds.
