import RegisterForm from '.';
import AlreadyRegisteredMessage from './RegisterFormAlreadyRegisteredMessage';
import Button from './RegisterFormButton';
import Checkbox from './RegisterFormCheckbox';
import EmailInput from './RegisterFormEmailInput';
import ErrorMessage from './RegisterFormErrorMessage';
import FirstNameInput from './RegisterFormFirstNameInput';
import InvalidEmailMessage from './RegisterFormInvalidEmailMessage';
import InvalidDomainMessage from './RegisterFormInvalidDomainMessage';
import LastNameInput from './RegisterFormLastNameInput';
import PasswordInput from './RegisterFormPasswordInput';
import PasswordStrength from './RegisterFormPasswordStrength';

describe('RegisterForm bundle', () => {
  // eslint-disable-next-line max-len
  it('exposes RegisterFormAlreadyRegisteredMessage as RegisterForm.AlreadyRegisteredMessage', () => {
    // eslint-disable-next-line max-len
    expect(RegisterForm.AlreadyRegisteredMessage).toBe(AlreadyRegisteredMessage);
  });

  it('exposes RegisterFormButton as RegisterForm.Button', () => {
    expect(RegisterForm.Button).toBe(Button);
  });

  it('exposes RegisterFormCheckbox as RegisterForm.Checkbox', () => {
    expect(RegisterForm.Checkbox).toBe(Checkbox);
  });

  it('exposes RegisterFormEmailInput as RegisterForm.EmailInput', () => {
    expect(RegisterForm.EmailInput).toBe(EmailInput);
  });

  it('exposes RegisterFormErrorMessage as RegisterForm.ErrorMessage', () => {
    expect(RegisterForm.ErrorMessage).toBe(ErrorMessage);
  });

  // eslint-disable-next-line max-len
  it('exposes RegisterFormFirstNameInput as RegisterForm.FirstNameInput', () => {
    expect(RegisterForm.FirstNameInput).toBe(FirstNameInput);
  });

  // eslint-disable-next-line max-len
  it('exposes RegisterFormInvalidDomainMessage as RegisterForm.InvalidDomainMessage', () => {
    expect(RegisterForm.InvalidDomainMessage).toBe(InvalidDomainMessage);
  });

  // eslint-disable-next-line max-len
  it('exposes RegisterFormInvalidEmailMessage as RegisterForm.InvalidEmailMessage', () => {
    expect(RegisterForm.InvalidEmailMessage).toBe(InvalidEmailMessage);
  });

  it('exposes RegisterFormLastNameInput as RegisterForm.LastNameInput', () => {
    expect(RegisterForm.LastNameInput).toBe(LastNameInput);
  });

  it('exposes RegisterFormPasswordInput as RegisterForm.PasswordInput', () => {
    expect(RegisterForm.PasswordInput).toBe(PasswordInput);
  });

  // eslint-disable-next-line max-len
  it('exposes RegisterFormPasswordStrength as RegisterForm.PasswordStrength', () => {
    expect(RegisterForm.PasswordStrength).toBe(PasswordStrength);
  });
});
