import { createInputComponent } from '../../lib';
import Context from './Context';

/**
 * Last name input field for a RegisterForm
 * All props are passed down to SUI's `<Input>`
 * @param {Object} props - Props for SUI `<Input>`.
 * @returns {Object} component
 */
export const RegisterFormLastNameInput = createInputComponent(
  'RegisterFormLastNameInput',
  Context,
  'lastName'
);

export default RegisterFormLastNameInput;
